Call Recording CSP(India) API

The Vonage Business Communications Call Recording API enables you to manage your company recordings.

Your application must subscribe to the CallRecording API suite to use this API.

Descargar la especificación OpenAPI

Company Call Recording CSP(India)

Company Call Recording lets administrators schedule call recording rules and recording parameters for your entire office.

Get company call recordings

Get company call recordings for a CSP(India) account

gethttps://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/:account_id/company_call_recordings

Autenticación

ClaveDescripciónDóndeEjemplo
Authorization

Tu token OAuth.
Más información sobre los tokens OAuth

Headers

Bearer <access_token>

Ruta Parámetros

account_id
string
Requerido

The Vonage Business Communications account ID. You can use 'self' to refer to the authenticated user's account.

Consulta Parámetros

call_direction
string

Filter recordings by call direction

Debe ser uno de:INBOUNDOUTBOUNDINTRA_PBX
call_id
string

Filter recordings by Call ID

caller_id
string

Filter recordings by Caller ID

cnam
string

Filter recordings by CNAM (Caller ID Name)

dnis
string

Filter recordings by DNIS (Dialed Number Identification Service)

duration:gte
integer

Filter recordings by duration in milliseconds (greater than or equal to)

duration:lte
integer

Filter recordings by duration in milliseconds (less than or equal to)

extension
string

Filter recordings by extension number

order
string
Por defectostart:DESC

Sort recordings by field value

page
integer
Por defecto1

Requested page number

page_size
integer
Por defecto10

Requested page size

start:gte
string

Filter recordings by start date (greater than or equal to) [yyyy-MM-ddTHH:mm:ssZ in ISO 8601]

start:lte
string

Filter recordings by start date (less than or equal to) [yyyy-MM-ddTHH:mm:ssZ in ISO 8601]

Respuestas
Tipo de contenido
application/json

OK

_embedded

A list of recording objects

recordings
array
_links
object
self
object
href
string
ejemplohttps://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/549825/company_call_recordings/193228

URL for the current recording

call_direction
string
ejemploINBOUND

Direction of the recorded call

call_id
string
ejemploc91150a6-8cc4-4e73-9fef-17fd925c6448

Call ID of the recorded call

caller_id
string
ejemplo17325550100

Caller ID of the caller of the recorded call

cnam
string
ejemploJOHN SMITH

CNAM (Caller ID Name) of the caller of the recorded call

dnis
string
ejemplo17325550100

DNIS (Dialed Number Identification Service) of the caller of the recorded call

download_url
string
ejemplohttps://api.vonage.com/t/vbc.prod/call_recording_india/api/audio/recording/193228

URL to download the recording. This URL requires authorization with your OAuth token.

duration
integer
ejemplo60000

Duration of the recorded call in milliseconds

end
string(date-time)
ejemplo2019-01-01T00:00:00+0000

End time of the recorded call

extensions
array

Extensions associated with the call recording

file_name
string
ejemplo730048.11826465111463122315701.95a7584be856e34a582025d420c20d9d.1463122442148.mp3

File name of the call recording

file_size_in_bytes
integer
ejemplo100000

File size in bytes of the call recording

id
integer
ejemplo193228

Unique identifier of the call recording

rule_ids
array

Identifier of the call recording rule(s) that triggered the call recording

start
string(date-time)
ejemplo2019-01-01T00:00:00+0000

Start time of the recorded call

_links
object
first
object
href
string
ejemplohttps://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/549825/company_call_recordings?page=0

URL for the first page of recordings

prev
object
href
string
ejemplohttps://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/549825/company_call_recordings?page=1

URL for the previous page of recordings

self
object
href
string
ejemplohttps://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/549825/company_call_recordings?page=2

URL for the current page of recordings

next
object
href
string
ejemplohttps://api.vonage.com/t/vbc.prod/call_recordingindia/api/accounts/549825/company_call_recordings?page=3

URL for the next page of recordings

last
object
href
string
ejemplohttps://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/549825/company_call_recordings?page=4

URL for the last page of recordings

page
integer
page_size
integer
total_items
integer
total_pages
integer

Ejemplo Respuesta

{
   "_embedded": {
      "recordings": [
         {
            "_links": {
               "self": {
                  "href": "https://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/549825/company_call_recordings/193228"
               }
            },
            "call_direction": "INBOUND",
            "call_id": "c91150a6-8cc4-4e73-9fef-17fd925c6448",
            "caller_id": 17325550100,
            "cnam": "JOHN SMITH",
            "dnis": "17325550100",
            "download_url": "https://api.vonage.com/t/vbc.prod/call_recording_india/api/audio/recording/193228",
            "duration": 60000,
            "end": "2019-01-01T00:00:00+0000",
            "extensions": [
               999
            ],
            "file_name": "730048.11826465111463122315701.95a7584be856e34a582025d420c20d9d.1463122442148.mp3",
            "file_size_in_bytes": 100000,
            "id": 193228,
            "rule_ids": [
               1989,
               2012,
               449
            ],
            "start": "2019-01-01T00:00:00+0000"
         }
      ]
   },
   "_links": {
      "first": {
         "href": "https://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/549825/company_call_recordings?page=0"
      },
      "prev": {
         "href": "https://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/549825/company_call_recordings?page=1"
      },
      "self": {
         "href": "https://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/549825/company_call_recordings?page=2"
      },
      "next": {
         "href": "https://api.vonage.com/t/vbc.prod/call_recordingindia/api/accounts/549825/company_call_recordings?page=3"
      },
      "last": {
         "href": "https://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/549825/company_call_recordings?page=4"
      }
   },
   "page": 0,
   "page_size": 0,
   "total_items": 0,
   "total_pages": 0
}

Get single company call recording

Get a single company call recording for a CSP(India) account

gethttps://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/:account_id/company_call_recordings/:recording_id

Autenticación

ClaveDescripciónDóndeEjemplo
Authorization

Tu token OAuth.
Más información sobre los tokens OAuth

Headers

Bearer <access_token>

Ruta Parámetros

account_id
string
Requerido

The Vonage Business Communications account ID. You can use 'self' to refer to the authenticated user's account.

recording_id
string
Requerido

The recording ID

Respuestas
Tipo de contenido
application/json

OK

_links
object
self
object
href
string
ejemplohttps://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/549825/company_call_recordings/193228

URL for the current recording

call_direction
string
ejemploINBOUND

Direction of the recorded call

call_id
string
ejemploc91150a6-8cc4-4e73-9fef-17fd925c6448

Call ID of the recorded call

caller_id
string
ejemplo17325550100

Caller ID of the caller of the recorded call

cnam
string
ejemploJOHN SMITH

CNAM (Caller ID Name) of the caller of the recorded call

dnis
string
ejemplo17325550100

DNIS (Dialed Number Identification Service) of the caller of the recorded call

download_url
string
ejemplohttps://api.vonage.com/t/vbc.prod/call_recording_india/api/audio/recording/193228

URL to download the recording. This URL requires authorization with your OAuth token.

duration
integer
ejemplo60000

Duration of the recorded call in milliseconds

end
string(date-time)
ejemplo2019-01-01T00:00:00+0000

End time of the recorded call

extensions
array

Extensions associated with the call recording

file_name
string
ejemplo730048.11826465111463122315701.95a7584be856e34a582025d420c20d9d.1463122442148.mp3

File name of the call recording

file_size_in_bytes
integer
ejemplo100000

File size in bytes of the call recording

id
integer
ejemplo193228

Unique identifier of the call recording

rule_ids
array

Identifier of the call recording rule(s) that triggered the call recording

start
string(date-time)
ejemplo2019-01-01T00:00:00+0000

Start time of the recorded call

Ejemplo Respuesta

{
   "_links": {
      "self": {
         "href": "https://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/549825/company_call_recordings/193228"
      }
   },
   "call_direction": "INBOUND",
   "call_id": "c91150a6-8cc4-4e73-9fef-17fd925c6448",
   "caller_id": 17325550100,
   "cnam": "JOHN SMITH",
   "dnis": "17325550100",
   "download_url": "https://api.vonage.com/t/vbc.prod/call_recording_india/api/audio/recording/193228",
   "duration": 60000,
   "end": "2019-01-01T00:00:00+0000",
   "extensions": [
      999
   ],
   "file_name": "730048.11826465111463122315701.95a7584be856e34a582025d420c20d9d.1463122442148.mp3",
   "file_size_in_bytes": 100000,
   "id": 193228,
   "rule_ids": [
      1989,
      2012,
      449
   ],
   "start": "2019-01-01T00:00:00+0000"
}

Delete company call recording

Delete a single company call recording for a CSP(India) account

deletehttps://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/:account_id/company_call_recordings/:recording_id

Autenticación

ClaveDescripciónDóndeEjemplo
Authorization

Tu token OAuth.
Más información sobre los tokens OAuth

Headers

Bearer <access_token>

Ruta Parámetros

account_id
string
Requerido

The Vonage Business Communications account ID. You can use 'self' to refer to the authenticated user's account.

recording_id
string
Requerido

The recording ID

Respuestas

No Content

Export Job CSP(India)

Export jobs let users download recordings in bulk based on search criteria. Export jobs are initiated from the corresponding company and on-demand call recording export endpoints.

Create a company call recording export job

Create a company call recording export job for a CSP(India) account

posthttps://api.vonage.com/t/vbc.prod/call_recording_india/api/accounts/:account_id/company_call_recordings/export

Autenticación

ClaveDescripciónDóndeEjemplo
Authorization

Tu token OAuth.
Más información sobre los tokens OAuth

Headers

Bearer <access_token>

Ruta Parámetros

account_id
string
Requerido

The Vonage Business Communications account ID. You can use 'self' to refer to the authenticated user's account.

Cuerpo de la solicitud
Tipo de contenido
application/json

call_direction
string
ejemploINBOUND

Filter recordings by call direction

Debe ser uno de:INBOUNDOUTBOUNDINTRA_PBX
call_id
string
ejemploc91150a6-8cc4-4e73-9fef-17fd925c6448

Filter recordings by Call ID

caller_id
string
ejemplo17325550100

Filter recordings by Caller ID

cnam
string
ejemploJOHN SMITH

Filter recordings by CNAM (Caller ID Name)

dnis
string
ejemplo17325550100

Filter recordings by DNIS (Dialed Number Identification Service)

duration:gte
integer
ejemplo60000

Filter recordings by duration in milliseconds (greater than or equal to)

duration:lte
integer
ejemplo60000

Filter recordings by duration in milliseconds (less than or equal to)

extension
string
ejemplo999

Filter recordings by extension number

start:gte
string
ejemplo2019-01-01T00:00:00+0000

Filter recordings by start date (greater than or equal to)

start:lte
string
ejemplo2019-01-01T00:00:00+0000

Filter recordings by start date (less than or equal to)

Ejemplo Solicitar

{
   "call_direction": "INBOUND",
   "call_id": "c91150a6-8cc4-4e73-9fef-17fd925c6448",
   "caller_id": 17325550100,
   "cnam": "JOHN SMITH",
   "dnis": "17325550100",
   "duration:gte": 60000,
   "duration:lte": 60000,
   "extension": 999,
   "start:gte": "2019-01-01T00:00:00+0000",
   "start:lte": "2019-01-01T00:00:00+0000"
}

Respuestas
Tipo de contenido
application/json

Created

job_ids
array

Unique identifier of the created export jobs

Ejemplo Respuesta

{
   "job_ids": [
      "afa725fb-d418-4eaf-b3f9-0e66396fafdc"
   ]
}

Download CSP(India)

Download audio files for company call recordings.

Download a call recording audio file

Download a call recording audio file in MP3 format.

Example Usage:

curl -X GET "https://api.vonage.com/t/vbc.prod/call_recording_india/api/audio/recording/193228" \ -H "Authorization: Bearer YOUR_TOKEN" \ --output recording_193228.mp3
gethttps://api.vonage.com/t/vbc.prod/call_recording_india/api/audio/recording/:recording_id

Autenticación

ClaveDescripciónDóndeEjemplo
Authorization

Tu token OAuth.
Más información sobre los tokens OAuth

Headers

Bearer <access_token>

Ruta Parámetros

recording_id
string
Requerido

The recording ID

Respuestas

OK - Successfully returns the audio file as binary data.

Cabecera Parámetros
Transfer-Encoding
string
ejemplochunked
Content-Type
string
ejemploaudio/mpeg

Download a call recording export Job

Download a ZIP archive containing multiple call recordings from an export job.

Example Usage:

curl -X GET "https://api.vonage.com/t/vbc.prod/call_recording_india/api/bulkDownload/retrieve?jobId=7a688e12-99ee-4816-8385-b21b90583838&userName=john.doe" \ --output export_recordings.zip
gethttps://api.vonage.com/t/vbc.prod/call_recording_india/api/bulkDownload/retrieve

Consulta Parámetros

jobId
string
ejemplo7a688e12-99ee-4816-8385-b21b90583838

The job ID

userName
string
ejemplojohn.doe

The login_name of the user

Respuestas

Successfully returns the export job as a ZIP archive.

Cabecera Parámetros
Transfer-Encoding
string
ejemplochunked
Content-Type
string
ejemploapplication/zip